Skip to Content
GET /user/jobs

GET /user/jobs

Returns your full work history, sorted with current roles first, then by start date descending.

Basic Information

cURL

curl --location 'https://api.remoet.dev/user/jobs' --header 'Authorization: Bearer <Your key>'

HTTP

GET /user/jobs HTTP/1.1 Host: api.remoet.dev Authorization: Bearer <Your key>

Javascript Fetch

const myHeaders = new Headers(); myHeaders.append("Authorization", `Bearer ${key}`); const requestOptions = { method: "GET", headers: myHeaders, }; fetch("https://api.remoet.dev/user/jobs", requestOptions) .then((response) => response.text()) .then((result) => console.log(result)) .catch((error) => console.error(error));

DTO

// Note that the return type is an array of PublicUserJobDto class PublicUserJobDto { createdAt: Date; updatedAt: Date; userId: string; title: string; startDate: Date; endDate: Date; isCurrent: boolean; isPublic: boolean; companyName: string; technologies: string[]; description: string; isRemote: boolean; companyUrl: string; listingId: string; }

Response

[ { "createdAt": <Date>, "updatedAt": <Date>, "userId": <string>, "title": <string>, "startDate": <Date>, "endDate": <Date>, "isCurrent": <boolean>, "isPublic": <boolean>, "companyName": <string>, "technologies": [<string>], "description": <string>, "isRemote": <boolean>, "companyUrl": <string>, "listingId": <string> } ]

Non authenticated response

{ "statusCode": 401, "message": "Invalid API Key", "error": "Unauthorized" }

listingId points to the company (listing) the job is at. Use it to cross-reference via the MCP server if your client needs more context.

See also

Last updated on